# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: credentials_settings
    category: XC\DHL
    type: separator
    orderby: 10
    translations:
      - {code: en, option_name: Credentials}
      - {code: ru, option_name: 'Данные учетной записи'}
    module: XC\DHL
  - name: site_id
    category: XC\DHL
    type: text
    orderby: 20
    translations:
      - {code: en, option_name: 'DHL SiteID'}
      - {code: ru, option_name: 'DHL SiteID'}
    module: XC\DHL
  - name: api_password
    category: XC\DHL
    type: text
    orderby: 30
    translations:
      - {code: en, option_name: 'API password'}
      - {code: ru, option_name: 'Пароль к API'}
    module: XC\DHL
  - name: module_settings
    category: XC\DHL
    type: separator
    orderby: 40
    translations:
      - {code: en, option_name: 'Module settings'}
      - {code: ru, option_name: 'Настройки модуля'}
    module: XC\DHL
  - name: dhl_account
    category: XC\DHL
    type: text
    orderby: 43
    translations:
      - {code: en, option_name: 'DHL Account', option_comment: 'If you want to use only negotiated rates, you must specify your account number; otherwise, leave this field blank.'}
      - {code: ru, option_name: 'Аккаунт DHL', option_comment: 'Если вы хотите использовать только цены согласно вашему договору, вы должны указать свой номер аккаунта; в противном случае оставьте данное поле незаполненным.'}
    module: XC\DHL
  - name: discover_methods
    category: XC\DHL
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    value: true
    orderby: 45
    translations:
      - {code: en, option_name: 'Discover new methods', option_comment: 'Automatically enable new discovered shipping methods'}
      - {code: ru, option_name: 'Обнаруживать новые службы', option_comment: 'Автоматически включать новые службы доставки'}
    module: XC\DHL
  - name: test_mode
    category: XC\DHL
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    value: true
    orderby: 50
    translations:
      - {code: en, option_name: 'Test mode'}
      - {code: ru, option_name: 'Режим тестирования'}
    module: XC\DHL
  - name: debug_enabled
    category: XC\DHL
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    value: true
    orderby: 60
    translations:
      - {code: en, option_name: 'Enable debugging', option_comment: 'This option enables logging of all communication between shopping cart and DHL server.'}
      - {code: ru, option_name: 'Включить отладку', option_comment: 'Данная опция включает запись всех переданных данных между магазином и сервисом DHL'}
    module: XC\DHL
  - name: api_endpoint_production
    category: XC\DHL
    type: XLite\View\FormField\Input\Text
    value: 'https://xmlpi-ea.dhl.com/XMLShippingServlet'
    orderby: 70
    translations:
      - {code: en, option_name: 'API endpoint (production)'}
      - {code: ru, option_name: 'Точка доступа к сервису (в рабочем режиме)'}
    module: XC\DHL
  - name: api_endpoint_test
    category: XC\DHL
    type: XLite\View\FormField\Input\Text
    value: 'https://xmlpitest-ea.dhl.com/XMLShippingServlet'
    orderby: 70
    translations:
      - {code: en, option_name: 'API endpoint (test)'}
      - {code: ru, option_name: 'Точка доступа к сервису (в режиме тестирования)'}
    module: XC\DHL
  - name: additionalSettingsSeparator
    category: XC\DHL
    type: separator
    orderby: 100
    translations:
      - {code: en, option_name: 'Additional settings'}
    module: XC\DHL
  - name: insurance_enabled
    category: XC\DHL
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    orderby: 102
    translations:
      - {code: en, option_name: 'Add insured value'}
      - {code: ru, option_name: 'Включить страхование груза'}
    module: XC\DHL
  - name: insurance_value
    category: XC\DHL
    type: XLite\View\FormField\Input\Text\Price
    value: 0.0
    orderby: 103
    translations:
      - {code: en, option_name: 'Insured value', option_comment: 'Leave at 0.00 if you want to use order subtotal'}
      - {code: ru, option_name: 'Застрахованная стоимость', option_comment: 'Если в данном поле указано значение 0.00, будет использована сумма заказа'}
    module: XC\DHL
  - name: currency_rate
    category: XC\DHL
    type: XLite\View\FormField\Input\Text\FloatInput
    widgetParameters:
      e: 4
    value: 1
    orderby: 106
    translations:
      - {code: en, option_name: 'Currency rate'}
      - {code: ru, option_name: 'Коэффициент пересчета валюты'}
    module: XC\DHL
  - name: packaging_settings
    category: XC\DHL
    type: separator
    orderby: 120
    translations:
      - {code: en, option_name: 'Package settings'}
      - {code: ru, option_name: 'Настройки упаковки'}
    module: XC\DHL
  - name: dimension_unit
    category: XC\DHL
    type: XC\DHL\View\FormField\Select\DimensionUnit
    value: cm
    orderby: 130
    translations:
      - {code: en, option_name: 'Dimension unit', option_comment: 'Please note that you should select a unit appropriate to your origin country'}
      - {code: ru, option_name: 'Единица измерения размера', option_comment: 'Помните, что необходимо выбирать ту единицу измерения, что используется в вашей стране'}
    module: XC\DHL
  - name: weight_unit
    category: XC\DHL
    type: XC\DHL\View\FormField\Select\WeightUnit
    value: kg
    orderby: 140
    translations:
      - {code: en, option_name: 'Weight unit', option_comment: 'Please note that you should select a unit appropriate to your origin country'}
      - {code: ru, option_name: 'Единица измерения массы', option_comment: 'Помните, что необходимо выбирать ту единицу измерения, что используется в вашей стране'}
    module: XC\DHL
  - name: packaging_type
    category: XC\DHL
    type: XC\DHL\View\FormField\Select\PackagingType
    value: BOX
    orderby: 150
    translations:
      - {code: en, option_name: 'Package box type'}
      - {code: ru, option_name: 'Тип упаковки'}
    module: XC\DHL
  - name: dimensions
    category: XC\DHL
    type: serialized
    value: 'a:3:{i:0;i:10;i:1;i:10;i:2;i:10;}'
    orderby: 160
    translations:
      - {code: en, option_name: 'Package dimensions'}
      - {code: ru, option_name: 'Размеры упаковки'}
    module: XC\DHL
  - name: max_weight
    category: XC\DHL
    type: XLite\View\FormField\Input\Text\FloatInput
    value: 70
    orderby: 170
    translations:
      - {code: en, option_name: 'Maximum package weight'}
      - {code: ru, option_name: 'Максимальный вес упаковки'}
    module: XC\DHL
XLite\Model\Shipping\Method:
  - processor: dhl
    carrier: ''
    code: ''
    enabled: false
    added: false
    position: 0
    moduleName: XC_DHL
    translations:
      - {code: en, name: DHL}
      - {code: ru, name: DHL}
  - processor: dhl
    carrier: dhl
    code: U
    enabled: 1
    position: 10
    translations:
      - {code: en, name: 'DHL EXPRESS WORLDWIDE (Doc)'}
  - processor: dhl
    carrier: dhl
    code: P
    enabled: 1
    position: 20
    translations:
      - {code: en, name: 'DHL EXPRESS WORLDWIDE (Non-Doc)'}
  - processor: dhl
    carrier: dhl
    code: 'N'
    enabled: 1
    position: 20
    translations:
      - {code: en, name: 'DHL DOMESTIC EXPRESS'}
XLite\Model\LanguageLabel:
  - name: 'DHL shipping description'
    translations:
      - {code: en, label: '<b>DHL</b> module allows you to use online shipping rates calculation via <a href="http://www.dhl.com" target="_new">DHL XML Services</a>.<br/>To use DHL XML Services you need to register on <a href="http://www.dhl.com/" target="_new">DHL.com</a> with a Site ID and Password. Once you have registered you would need to obtain an Account number from DHL.com that provides access to the XML Services.'}
  - name: 'DHL Shipping'
    translations:
      - {code: en, label: 'DHL Shipping'}
      - {code: ru, label: 'Доставка DHL'}
  - name: '"Cash on delivery" status'
    translations:
      - {code: en, label: '"Cash on delivery" status'}
      - {code: ru, label: 'Состояние варианта оплаты "Наложенный платеж"'}
  - name: dhl.CODStatusOptionComment
    translations:
      - {code: en, label: 'Note: To enable/disable the "Cash on delivery" payment option, you should enable/disable the payment method "Cash on delivery (DHL)" on the <a href="{{URL}}">Payment methods page</a>.'}
      - {code: ru, label: 'Важно: Чтобы включить/отключить вариант оплаты "Наложенный платеж", необходимо включить/отключить способ оплаты "Наложеный платеж (DHL)" на <a href="{{URL}}">странице Способов оплаты</a>.'}
  - name: 'Store currency code does not match the currency code of the Ship-From address country; please specify the X value for the currency conversion formula: 1 [store currency code] = X [ship-from address currency code]'
    translations:
      - {code: en, label: 'Store currency code does not match the currency code of the Ship-From address country; please specify the X value for the currency conversion formula: 1 {{shipFromCurrency}} = X {{shopCurrency}}'}
      - {code: ru, label: 'Код валюты магазина отличется от кода валюты страны адреса склада; укажите коэффициент X для формулы пересчёта: 1 {{shipFromCurrency}} = X {{shopCurrency}}'}
